import { Platform } from './platform.service';
export declare class ImageConverter {
    private _platform;
    private readonly _types;
    constructor(_platform: Platform);
    toDataUri(contents: string | File | HTMLImageElement, options?: {
        width: number;
        height: number;
    } | null): Promise<string>;
    fileToImage(file: File, types?: string[]): Promise<HTMLImageElement>;
    stringToImage(src: string): Promise<HTMLImageElement>;
    private getImage;
    private calculateOffsetAndDimensions;
}
